﻿using Infragistics.Controls.Editors;
using Infragistics.Documents.RichText;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace RichTextInitialFontCase
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void XamRichTextEditor_Loaded(object sender, RoutedEventArgs e)
        {
            XamRichTextEditor rte = sender as XamRichTextEditor;
            RichTextDocument doc = new RichTextDocument();
            
            CharacterSettings cs = new CharacterSettings();      
            cs.FontSize = new Extent(18, ExtentUnitType.LogicalPixels);

            FontSettings fs = new FontSettings();
            fs.Ascii = "Copperplate Gothic Bold";

            cs.FontSettings = fs;

            string error = "ERROR";
            doc.ApplyCharacterSettings(DocumentSpan.All, cs, out error);

            rte.Document = doc;
        }
    }
}
